## thawab 3.0.10+1git9e448ba

=== Makefile ===
DESTDIR?=/
datadir?=$(DESTDIR)/usr/share
INSTALL=install

SOURCES=$(wildcard *.desktop.in)
TARGETS=${SOURCES:.in=}

all: $(TARGETS) icons

icons:
	for i in 96 72 64 48 36 32 24 22 16; do \
		convert -background none thawab.svg -resize $${i}x$${i} thawab-$${i}.png; \
	done
pos:
	make -C po all

install: all
	python setup.py install -O2 --root $(DESTDIR)
	$(INSTALL) -d $(datadir)/applications/
	$(INSTALL) -m 0644 thawab.desktop $(datadir)/applications/
	$(INSTALL) -m 0644 -D thawab.svg $(datadir)/icons/hicolor/scalable/apps/thawab.svg;
	for i in 96 72 64 48 36 32 24 22 16; do \
		install -d $(datadir)/icons/hicolor/$${i}x$${i}/apps; \
		$(INSTALL) -m 0644 -D thawab-$${i}.png $(datadir)/icons/hicolor/$${i}x$${i}/apps/thawab.png; \
	done

%.desktop: %.desktop.in pos
	intltool-merge -d po $< $@

clean:
	rm -f $(TARGETS)
	for i in 96 72 64 48 36 32 24 22 16; do \
		rm -f thawab-$${i}.png; \
	done

## thawab 3.0.8

=== debian/changelog ===
thawab (3.0.8-0ubuntu2) maverick; urgency=low

  * debian/control:
    + Removed python-setuptools from Build-Deps, it was un-necessary.
    + Added XS-Python-Version field
  * Removed debian/pyversions

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 10 Aug 2010 17:35:49 +0300

thawab (3.0.8-0ubuntu1) maverick; urgency=low

  * Initial release (Closes: #513370)
  * Added patch separate_setup.py.diff to remove call for setup.py from
    Makefile.
  * Added a patch desktop-categories.diff, to add Education;Literature
    to categories
  * Added private-pkg.diff patch, to install Thawab python package as a 
    private package.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 26 Jul 2010 22:48:05 +0300

=== debian/control ===
Source: thawab
Section: non-free/misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support (>= 0.5.3),
 python-all (>= 2.3.5-11),
 gettext,
 intltool,
 imagemagick,
 libmagickcore-extra | libmagickcore2-extra
Standards-Version: 3.9.1
Homepage: http://thawab.ojuba.org
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/thawab.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/thawab.git
XS-Python-Version: >= 2.5

Package: thawab
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-whoosh (>= 0.3.15),
 python-okasha,
 python-othman,
 python-gtk2,
 python-webkit,
 python-pyparsing,
 mdbtools,
 python-paste
Recommends: islamic-menus
Description: Arabic/Islamic encyclopedia system
 Thwab is an Islamic literature library which features:
  * Can import books from Shamela library
  * Several books can be searched and viewed simultaneously
  * Web interface
 .
 This package does not contain any book, you may get .bok books distributed
 with Shamela (free Islamic library) from
  * http://www.shamela.ws/
  * http://www.shamela.ws/old_site/

## thawab 3.0.10+1git9e448ba

=== debian/changelog ===
thawab (3.0.10+1git9e448ba-0ubuntu1) natty; urgency=low

  * New upstream snapshot
    + Supports Whoosh >= 1.3.4
    + Fix regexp processing when importing some Shamela books.
    + Create new index on IndexVersionError exception from Whoosh.
    + Fix no topic headings in first page bug.
  * Removed import-regexp-fix.diff, po_copyright.diff, and whoosh1.3.3.diff
    patches as they are included in new upstream.
  * debian/control: Bumped dependency on python-whoosh to 1.3.4

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 21 Feb 2011 23:30:22 +0200

thawab (3.0.10-0ubuntu2) natty; urgency=low

  * Added whoosh1.3.3.diff upstream patch to support whoosh >= 1.3.3
  * Added po_copyright upstream patch to properly set copyright
    headers for PO files.
  * Added import-regexp-fix.diff upstream patch to fix regexp processing
    when importing some Shamela books.
  * debian/control:
    + Remove old URL of Shamela website, as it got merged into the new
      website.
    + Bumped dependency on python-whoosh to 1.3.3
  * debian/copyright:
    + Updated copyright years.
    + Added copyright entry for po/*

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 12 Dec 2010 13:09:22 +0200

thawab (3.0.10-0ubuntu1) natty; urgency=low

  * debian/control:
    + Removed python-pyparsing from Depends
    + Bumped whoosh dependency to >= 1.0.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 01 Nov 2010 15:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: thawab
 Section: non-free/misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support (>= 0.5.3),
@@ -21,12 +20,11 @@
 Architecture: all
 Depends: ${misc:Depends},
  ${python:Depends},
- python-whoosh (>= 0.3.15),
+ python-whoosh (>= 1.3.4),
  python-okasha,
  python-othman,
  python-gtk2,
  python-webkit,
- python-pyparsing,
  mdbtools,
  python-paste
 Recommends: islamic-menus
@@ -37,6 +35,4 @@
   * Web interface
  .
  This package does not contain any book, you may get .bok books distributed
- with Shamela (free Islamic library) from
-  * http://www.shamela.ws/
-  * http://www.shamela.ws/old_site/
+ with Shamela (free Islamic library) from: http://www.shamela.ws

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -Spython_distutils
	dh_auto_build -Smakefile

override_dh_auto_install:
	dh_auto_install -Spython_distutils -- --install-lib=/usr/share/thawab
	dh_auto_install -Smakefile

override_dh_auto_clean:
	dh_auto_clean -Spython_distutils
	dh_auto_clean -Smakefile
	rm -rf locale po/*.mo

## thawab 3.0.12

=== debian/changelog ===
thawab (3.0.12-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Aug 2011 22:59:50 +0200

thawab (3.0.11-1) unstable; urgency=low

  * Initial release for Debian (Closes: #513370)
  * Switch to dh_python2
    + debian/control:
      - Drop python-support from Build-Deps
      - Bumped python-all Build-Dep to (>= 2.6.6-3~)
    + debian/rules: added --with python2 to dh call.
  * Bumped compat level to 8
  * debian/control:
    + Bumped python-whoosh dependency to 1.7.2
    + Bumped python-okasha dependency to 0.2.3
    + Bumped Standards-Version to 3.9.2
  * Refreshed separate_setup.py.diff

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 04 Aug 2011 21:28:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,24 @@
 Priority: extra
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support (>= 0.5.3),
- python-all (>= 2.3.5-11),
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python-all (>= 2.6.6-3~),
  gettext,
  intltool,
  imagemagick,
  libmagickcore-extra | libmagickcore2-extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://thawab.ojuba.org
 Vcs-Git: git://git.debian.org/git/debian-islamic/packages/thawab.git
 Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/thawab.git
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.5
 
 Package: thawab
 Architecture: all
 Depends: ${misc:Depends},
  ${python:Depends},
- python-whoosh (>= 1.3.4),
- python-okasha,
+ python-whoosh (>= 1.7.2),
+ python-okasha (>= 0.2.3),
  python-othman,
  python-gtk2,
  python-webkit,

=== debian/watch ===
version=3
http://git.ojuba.org/cgit/thawab/ /cgit/thawab/snapshot/thawab-(.*)\.tar\.bz2

## thawab 3.0.13

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 install: all
 	python setup.py install -O2 --root $(DESTDIR)
 	$(INSTALL) -d $(datadir)/applications/
+	$(INSTALL) -d $(datadir)/thawab/
 	$(INSTALL) -m 0644 thawab.desktop $(datadir)/applications/
 	$(INSTALL) -m 0644 -D thawab.svg $(datadir)/icons/hicolor/scalable/apps/thawab.svg;
 	for i in 96 72 64 48 36 32 24 22 16; do \

=== po/Makefile ===
POTFILE=$(shell cat POTFILES.in)
SOURCES=$(addprefix ../, $(POTFILE))
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))

all: thawab.pot $(MOFILES)

thawab.pot: $(SOURCES)
	intltool-update -g thawab -p

%.mo: %.po
	msgfmt $*.po -o $*.mo
	mkdir -p ../locale/$*/LC_MESSAGES/ || :
	cp $*.mo ../locale/$*/LC_MESSAGES/thawab.mo

%.po: thawab.pot
	intltool-update -g thawab -d $*

=== debian/changelog ===
thawab (3.0.13-2) unstable; urgency=low

  * debian/watch: Update URL in watch file
  * Bumped python-whoosh dependency to >= 2.5
  * Added mdbtools-0.7.diff patch to fix incompatibility with mdbtools 0.7
    (Closes: #704907) (LP: #1112821)
  * debian/control:
    + Added whoosh-2.5.diff patch to fix incompatibility with Whoosh > 2.5
    + Bumped mdbtools dependency to >= 0.7
    + Bumped Standards-Version to 3.9.5
    + Use canonical URIs in VCS-* fields.
    + Removed obsolete DMUA field.
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 22 Nov 2013 10:07:33 +0200

thawab (3.0.13-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * Bumped compat level to 9
  * debian/copyright: Updated copyright format & years.
  * debian/links: Update symlink to manual.

  [ Mehdi Dogguy ]
  * Add DMUA

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 16 Feb 2012 14:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,28 @@
 Priority: extra
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
  gettext,
  intltool,
  imagemagick,
  libmagickcore-extra | libmagickcore2-extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://thawab.ojuba.org
-Vcs-Git: git://git.debian.org/git/debian-islamic/packages/thawab.git
-Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/thawab.git
+Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/thawab.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/thawab.git
 X-Python-Version: >= 2.5
 
 Package: thawab
 Architecture: all
 Depends: ${misc:Depends},
  ${python:Depends},
- python-whoosh (>= 1.7.2),
+ python-whoosh (>= 2.5),
  python-okasha (>= 0.2.3),
  python-othman,
  python-gtk2,
  python-webkit,
- mdbtools,
+ mdbtools (>= 0.7),
  python-paste
 Recommends: islamic-menus
 Description: Arabic/Islamic encyclopedia system

=== debian/watch ===
version=3
opts=filenamemangle=s/(.*)/thawab-$1/ \
  https://github.com/ojuba-org/thawab/releases /ojuba-org/thawab/archive/(.*)\.tar\.gz

## thawab 3.1.1

=== Makefile ===
APPNAME=thawab
DESTDIR?=/
DATADIR?=$(DESTDIR)/usr/share

SOURCES=$(wildcard *.desktop.in)
TARGETS=${SOURCES:.in=}

ECHO := echo
MAKE := make
PYTHON := python2
INSTALL := install
INTLTOOL_MERGE := intltool-merge
RM := $(shell which rm | egrep '/' | sed  's/\s//g')
GTK_UPDATE_ICON_CACHE := $(shell which gtk-update-icon-cache)
UPDATE_DESKTOP_DATABASE := $(shell which update-desktop-database)

all: $(TARGETS) icons

icons:
	@for i in 96 72 64 48 36 32 24 22 16; do \
		convert -background none $(APPNAME).svg -resize $${i}x$${i} $(APPNAME)-$${i}.png; \
	done
pos:
	$(MAKE) -C po all

install: locale
	@$(ECHO) "*** Installing..."
	@$(PYTHON) setup.py install -O2 --root $(DESTDIR)
	@$(ECHO) "Copying: $(APPNAME).desktop -> $(DATADIR)/applications/"
	@$(INSTALL) -d $(DATADIR)/applications/
	@$(INSTALL) -d $(DATADIR)/$(APPNAME)/
	@$(INSTALL) -m 0644 $(APPNAME).desktop $(DATADIR)/applications/
	@$(INSTALL) -m 0644 -D $(APPNAME).svg $(DATADIR)/icons/hicolor/scalable/apps/$(APPNAME).svg;
	@for i in 96 72 64 48 36 32 24 22 16; do \
		$(INSTALL) -d $(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
		$(INSTALL) -m 0644 -D $(APPNAME)-$${i}.png $(DATADIR)/icons/hicolor/$${i}x$${i}/apps/$(APPNAME).png; \
	done
	@$(RM) -rf build
	@$(DESTDIR)/$(UPDATE_DESKTOP_DATABASE) --quiet $(DATADIR)/applications  &> /dev/null || :
	@$(DESTDIR)/$(GTK_UPDATE_ICON_CACHE) --quiet $(DATADIR)/icons/hicolor &> /dev/null || :

uninstall: 
	@$(ECHO) "*** Uninstalling..."
	@$(ECHO) "- Removing: $(DATADIR)/applications/$(APPNAME).desktop"
	@$(RM) -f $(DATADIR)/applications/$(APPNAME).desktop
	@$(ECHO) "- Removing: $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/$(APPNAME).mo"
	@$(RM) -f $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/$(APPNAME).mo
	@$(ECHO) "- Removing: $(DESTDIR)/usr/bin/$(APPNAME)"
	@$(RM) -f $(DESTDIR)/usr/bin/$(APPNAME)-gtk
	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/*-packages/Thawab"
	@$(RM) -rf $(DESTDIR)/usr/lib/python*/*-packages/Thawab
	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/*-packages/$(APPNAME)*"
	@$(RM) -rf $(DESTDIR)/usr/lib/python*/*-packages/$(APPNAME)*
	@$(ECHO) "- Removing: $(DESTDIR)/usr/share/$(APPNAME)"
	@$(RM) -rf $(DESTDIR)/usr/share/$(APPNAME)
	
	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/share/locale/*/LC_MESSAGES/$(APPNAME).mo"
	@$(RM) -f $(DESTDIR)/usr/*/share/locale/*/LC_MESSAGES/$(APPNAME).mo
	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/bin/$(APPNAME)"
	@$(RM) -f $(DESTDIR)/usr/*/bin/$(APPNAME)-gtk
	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/lib/python*/*-packages/Thawab"
	@$(RM) -rf $(DESTDIR)/usr/*/lib/python*/*-packages/Thawab
	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/lib/python*/*-packages/$(APPNAME)*"
	@$(RM) -rf $(DESTDIR)/usr/*/lib/python*/*-packages/$(APPNAME)*
	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/share/$(APPNAME)"
	@$(RM) -rf $(DESTDIR)/usr/*/share/$(APPNAME)
	
	@$(RM) -f $(DATADIR)/icons/hicolor/scalable/apps/$(APPNAME).svg
	@$(RM) -f $(DATADIR)/icons/hicolor/*/apps/$(APPNAME).png;
	@$(DESTDIR)/$(UPDATE_DESKTOP_DATABASE) --quiet $(DATADIR)/applications  &> /dev/null || :
	@$(DESTDIR)/$(GTK_UPDATE_ICON_CACHE) --quiet $(DATADIR)/icons/hicolor &> /dev/null || :
	
%.desktop: %.desktop.in pos
	intltool-merge -d po $< $@

clean:
	@$(ECHO) "*** Cleaning..."
	@$(MAKE) -C po clean
	@$(ECHO) "- Removing: $(TARGETS)"
	@$(RM) -f $(TARGETS)
	@$(ECHO) "- Removing: locale build"
	@$(RM) -rf locale build
	@$(ECHO) "- Removing: *.pyc"
	@$(RM) -f *.pyc
	@$(ECHO) "- Removing: */*.pyc"
	@$(RM) -f */*.pyc
	@$(ECHO) "- Removing: $(APPNAME)-*.png"
	@$(RM) -f $(APPNAME)-*.png
	@$(ECHO) "- Removing Cache directories"
	@$(RM) -f thawab-data/user.db
	@$(RM) -rf thawab-data/cache
	@$(RM) -rf thawab-data/index
	@$(RM) -rf thawab-data/tmp
	@$(RM) -rf thawab-data/db
	@$(RM) -rf thawab-data/conf

=== debian/changelog ===
thawab (3.1.1-3) unstable; urgency=medium

  * Add css.diff patch to prepend amiri font in font-family fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 13 Oct 2014 16:36:15 +0200

thawab (3.1.1-2) unstable; urgency=medium

  * debian/control: Replace python-webkit in Depends with gir1.2-webkit-3.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 01 Oct 2014 16:16:04 +0200

thawab (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Fixed filenamemangle
  * debian/control:
    + Bumped Standards-Version to 3.9.6
    + Replaced python-gtk2 in Depends with python-gi, gir1.2-gtk-3.0
  * debian/copyright: Use WPL as short name for Waqf Public License.
  * Add upstream metadata.
  * Removed mdbtools-0.7.diff & whoosh-2.5.diff patches, as they have been
    implemented upstream
  * separate_setup.py.diff patch: Refreshed patch, also removed calls for
    updating icon cache & desktop database.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 01 Oct 2014 15:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  intltool,
  imagemagick,
  libmagickcore-extra | libmagickcore2-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://thawab.ojuba.org
 Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/thawab.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/thawab.git
@@ -22,8 +22,9 @@
  python-whoosh (>= 2.5),
  python-okasha (>= 0.2.3),
  python-othman,
- python-gtk2,
- python-webkit,
+ python-gi,
+ gir1.2-gtk-3.0,
+ gir1.2-webkit-3.0,
  mdbtools (>= 0.7),
  python-paste
 Recommends: islamic-menus

## thawab 3.2.0

=== debian/changelog ===
thawab (3.2.0-1) unstable; urgency=medium

  * New upstream release.
    + Added Thawab server
    + *.css: Prepend Amiri fonts in font-family fields.
  * Removed css.diff patch, as it has been already applied in new upstream.
  * debian/patches/private-pkg.diff: Also patch the new thawab-server.
  * debian/thawab-gtk.1, debian/links: Added thawab-server to man page.
  * debian/copyright: Update copyright format & years.
  * Update my email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Mar 2015 09:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/misc
 Priority: extra
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
  gettext,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@
+	dh $@ --with python2
 
 override_dh_auto_build:
 	dh_auto_build -Spython_distutils

## thawab 4.1

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	@$(RM) -f $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/$(APPNAME).mo
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/bin/$(APPNAME)"
 	@$(RM) -f $(DESTDIR)/usr/bin/$(APPNAME)-gtk
+	@$(RM) -f $(DESTDIR)/usr/bin/$(APPNAME)-server	
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/*-packages/Thawab"
 	@$(RM) -rf $(DESTDIR)/usr/lib/python*/*-packages/Thawab
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/*-packages/$(APPNAME)*"
@@ -58,6 +59,7 @@
 	@$(RM) -f $(DESTDIR)/usr/*/share/locale/*/LC_MESSAGES/$(APPNAME).mo
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/bin/$(APPNAME)"
 	@$(RM) -f $(DESTDIR)/usr/*/bin/$(APPNAME)-gtk
+	@$(RM) -f $(DESTDIR)/usr/*/bin/$(APPNAME)-server	
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/lib/python*/*-packages/Thawab"
 	@$(RM) -rf $(DESTDIR)/usr/*/lib/python*/*-packages/Thawab
 	@$(ECHO) "- Removing: $(DESTDIR)/usr/*/lib/python*/*-packages/$(APPNAME)*"

=== po/Makefile ===
APPNAME := thawab
POFILES := $(wildcard *.po)
MOFILES := $(patsubst %.po,%.mo,$(POFILES))
CRE_POTFILESin := for i in $(shell cat POTFILES.am ); do echo ../$${i} | sed 's/\s/\n/g; s/\.\.\///g' ; done > POTFILES.in

CAT := cat
ECHO := echo
MKDIR := mkdir
MSGFMT := msgfmt
INTLTOOL_UPDATE := intltool-update
RM := $(shell which rm | egrep '/' | sed  's/\s*//g')
MV := $(shell which mv | egrep '/' | sed  's/\s*//g')

all: $(APPNAME).pot $(MOFILES)

$(APPNAME).pot: 
	@$(CRE_POTFILESin)
	@$(ECHO) "*** Building $(APPNAME).pot: $(SOURCES)"
	@$(CAT) POTFILES.in
	@$(INTLTOOL_UPDATE) -g $(APPNAME) -p
	
%.mo: %.po
	@$(ECHO) "- Merging translations into $*.mo"
	@$(MSGFMT) $*.po -o $*.mo
	@$(MKDIR) -p ../locale/$*/LC_MESSAGES/ || :
	@$(ECHO) "- Moving: $*.mo -> ../locale/$*/LC_MESSAGES/$(APPNAME).mo"
	@$(MV) $*.mo ../locale/$*/LC_MESSAGES/$(APPNAME).mo
	@$(RM) -f *.tmp

%.po: $(APPNAME).pot
	@$(ECHO) "- Updating: $*.po"
	@$(INTLTOOL_UPDATE) -g $(APPNAME) -d $*

clean:
	@$(ECHO) "*** Cleaning pos..."
	@$(ECHO) "- Removing: $(APPNAME).pot"
	@$(RM) -f $(APPNAME).pot
	@$(ECHO) "- Removing: *.tmp"
	@$(RM) -f *.tmp
	@$(ECHO) "- Removing: *.mo"
	@$(RM) -f *.mo
	@$(ECHO) "- Removing: POTFILES.in"
	@$(RM) -f POTFILES.in

=== debian/changelog ===
thawab (4.1-2) unstable; urgency=medium

  * Migrate to Python 3
    + Add py3.diff patch to migrate to Python 3
  * Bumped to compat level 12
  * Update homepage URL
  * d/copyright:
    + Add explanation for non-free package
    + Update copyright years
  * Switch to WPL-2 license
  * debian/control:
    + Update standards version to 4.4.1
    + Add Rules-Requires-Root: no
  * Add gitlab-ci.yml

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 17 Nov 2019 16:12:03 +0100

thawab (4.1-1) unstable; urgency=medium

  [ Shanavas M ]
  * New upstream release
  * Fix debian/patches/private-pkg.diff

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Change priority to optional
  * Add webkit2.diff patch to port to Webkit2 (Closes: #866653)
  * Update Vcs-* URIs
  * Removed X-Python-Version field, not needed anymore
  * Update standards version to 4.2.1, no changes needed
  * Bumped compat level to 11
  * Switch to secure copyright format URL
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 15 Nov 2018 08:05:52 +0100

thawab (3.2.0-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * binary included upload

 -- Shanavas M <shanavas@disroot.org>  Mon, 20 Mar 2017 08:58:07 +0300

thawab (3.2.0-1.1) unstable; urgency=medium

  * NMU upload
  * debian/control:
    + replace Build-Depends-Indep libmagickcore-extra and libmagickcore2-extra
      with librsvg2-bin (Closes: #846560)
    + add dh-python to Build-Depends
  * remove debian/menu file

 -- Shanavas M <shanavas@disroot.org>  Tue, 14 Mar 2017 16:58:07 +0300

=== debian/control ===
Source: thawab
Section: non-free/misc
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 12),
 dh-python
Build-Depends-Indep: python3-all,
 gettext,
 intltool,
 imagemagick,
 librsvg2-bin
Standards-Version: 4.4.1
Homepage: https://ojuba.org/thawab:%D8%A7%D9%84%D8%B1%D8%A6%D9%8A%D8%B3%D8%A9
XS-Autobuild: yes
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/islamic-team/thawab.git
Vcs-Browser: https://salsa.debian.org/islamic-team/thawab

Package: thawab
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-whoosh (>= 2.5),
 python3-okasha (>= 0.2.3),
 python3-othman,
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-webkit2-4.0,
 mdbtools (>= 0.7),
 python3-paste
Recommends: islamic-menus
Description: Arabic/Islamic encyclopedia system
 Thwab is an Islamic literature library which features:
  * Can import books from Shamela library
  * Several books can be searched and viewed simultaneously
  * Web interface
 .
 This package does not contain any book, you may get .bok books distributed
 with Shamela (free Islamic library) from: http://www.shamela.ws

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/thawab/

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -Spybuild
	dh_auto_build -Smakefile

override_dh_auto_install:
	dh_auto_install -Spybuild
	dh_auto_install -Smakefile

override_dh_auto_clean:
	dh_auto_clean -Spybuild
	dh_auto_clean -Smakefile
	rm -rf locale po/*.mo
